DISTFILES += \
    $$PWD/Recorder.vcxproj \
    $$PWD/Recorder.vcxproj.filters \
    $$PWD/d3d_pixelshader.hlsl \
    $$PWD/d3d_vertexshader.hlsl

HEADERS += \
    # $$PWD/AecKsBinder.h \
    $$PWD/common.h \
    $$PWD/d3d_helper.h \
    $$PWD/device_audios.h \
    $$PWD/device_videos.h \
    $$PWD/encoder_aac.h \
    $$PWD/encoder_video.h \
    $$PWD/encoder_video_define.h \
    $$PWD/encoder_video_factory.h \
    $$PWD/encoder_video_nvenc.h \
    $$PWD/encoder_video_x264.h \
    $$PWD/error_define.h \
    $$PWD/export.h \
    $$PWD/filter.h \
    $$PWD/filter_amix.h \
    $$PWD/filter_aresample.h \
    $$PWD/hardware_acceleration.h \
    $$PWD/headers_ffmpeg.h \
    $$PWD/headers_mmdevice.h \
    $$PWD/log_helper.h \
    $$PWD/mul_db.h \
    $$PWD/muxer_define.h \
    $$PWD/muxer_ffmpeg.h \
    $$PWD/muxer_file.h \
    $$PWD/record_audio.h \
    $$PWD/record_audio_define.h \
    $$PWD/record_audio_dshow.h \
    $$PWD/record_audio_factory.h \
    $$PWD/record_audio_wasapi.h \
    $$PWD/record_desktop.h \
    $$PWD/record_desktop_define.h \
    $$PWD/record_desktop_duplication.h \
    $$PWD/record_desktop_factory.h \
    $$PWD/record_desktop_ffmpeg_dshow.h \
    $$PWD/record_desktop_ffmpeg_gdi.h \
    $$PWD/record_desktop_gdi.h \
    $$PWD/record_desktop_mag.h \
    $$PWD/record_desktop_wgc.h \
    $$PWD/remuxer_ffmpeg.h \
    $$PWD/resample_pcm.h \
    $$PWD/ring_buffer.h \
    $$PWD/sws_helper.h \
    $$PWD/system_error.h \
    $$PWD/system_lib.h \
    $$PWD/system_time.h \
    $$PWD/system_version.h \
    $$PWD/utils_string.h

SOURCES += \
    # $$PWD/AecKsBinder.cpp \
    # $$PWD/Recorder.cpp \
    $$PWD/d3d_helper.cpp \
    $$PWD/device_audios.cpp \
    $$PWD/device_videos.cpp \
    $$PWD/dllmain.cpp \
    $$PWD/encoder_aac.cpp \
    $$PWD/encoder_video.cpp \
    $$PWD/encoder_video_factory.cpp \
    $$PWD/encoder_video_nvenc.cpp \
    $$PWD/encoder_video_x264.cpp \
    $$PWD/export.cpp \
    $$PWD/filter.cpp \
    $$PWD/filter_amix.cpp \
    $$PWD/filter_aresample.cpp \
    $$PWD/hardware_acceleration.cpp \
    $$PWD/headers_mmdevice.cpp \
    $$PWD/log_helper.cpp \
    $$PWD/muxer_ffmpeg.cpp \
    $$PWD/muxer_file.cpp \
    $$PWD/record_audio.cpp \
    $$PWD/record_audio_dshow.cpp \
    $$PWD/record_audio_factory.cpp \
    $$PWD/record_audio_wasapi.cpp \
    $$PWD/record_desktop.cpp \
    $$PWD/record_desktop_duplication.cpp \
    $$PWD/record_desktop_factory.cpp \
    $$PWD/record_desktop_ffmpeg_dshow.cpp \
    $$PWD/record_desktop_ffmpeg_gdi.cpp \
    $$PWD/record_desktop_gdi.cpp \
    $$PWD/record_desktop_mag.cpp \
    $$PWD/record_desktop_wgc.cpp \
    $$PWD/remuxer_ffmpeg.cpp \
    $$PWD/resample_pcm.cpp \
    $$PWD/ring_buffer.cpp \
    $$PWD/sws_helper.cpp \
    $$PWD/system_error.cpp \
    $$PWD/system_lib.cpp \
    $$PWD/system_time.cpp \
    $$PWD/system_version.cpp \
    $$PWD/test_main.cpp \
    $$PWD/transcode_aac.cpp \
    $$PWD/utils_string.cpp
